# extension.hh File Reference

Declarations for extension(). More...

Include dependency graph for extension.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename S , typename K , typename T >
identity_transducer_helper< S, K, T >::ret | extension (const Element< S, T > &)
| Extend an automaton to a transducer.
template<typename SA , typename TA , typename ST , typename TT >
Element< ST, TT > | extension (const Element< SA, TA > &, const Element< ST, TT > &)
| Extend an automaton to a transducer.

## Detailed Description

Declarations for extension().

See also:
  extension()

Definition in file extension.hh.